export function checkObjectValues(obj) {
  // 遍历对象的每个属性
  for (let key in obj) {
    if (obj.hasOwnProperty(key)) {
      if (obj?.type === 'RELATION') return true
      // 检查键的值是否存在且不为空
      else if (obj[key] === undefined || obj[key] === null || obj[key] === '') {
        return false // 如果发现空值，返回false
      }
      // 如果当前属性是children且为数组，则递归检查children中的每个对象
      if (key === 'children' && Array.isArray(obj[key])) {
        for (let child of obj[key]) {
          // 递归调用checkObjectValues函数
          if (!checkObjectValues(child)) {
            return false // 如果children中的对象有问题，返回false
          }
        }
      }
    }
  }
  // 如果没有发现任何问题，返回true
  return true
}